%define  unsigned 1
%if %{unsigned}
%define dev 1
%endif

Name:           olpc-firmware
Version:        q4b12
Release:        1%{?dev:.unsigned}
Summary:        boot firmware for the XO
BuildArch:      noarch

Group:          System Environment/Base
License:        MIT/BSD+condition
URL:            http://wiki.laptop.org/go/Firmware
%if %{unsigned}
Source0:        http://dev.laptop.org/pub/firmware/%{version}/%{version}.rom
Source1:        http://dev.laptop.org/pub/firmware/%{version}/%{version}.rom.sha1
%else
Source0:        http://dev.laptop.org/pub/firmware/%{version}/bootfw.zip
Source1:        http://dev.laptop.org/pub/firmware/%{version}/bootfw-%{version}.zip.sha1
%endif
# comes from http://tracker.coreboot.org/trac/openfirmware/browser/README?format=txt
Source2:        README.openfirmware
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Open Firmware for the OLPC XO-1.75
%prep
cp -p %{SOURCE0} .
cp -p %{SOURCE2} .
sha1sum -c %{SOURCE1}
%if %{unsigned}
cp -p %{SOURCE0} data.img
zip -n .img bootfw.zip data.img
%endif


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/boot/
install -m 0644 bootfw.zip $RPM_BUILD_ROOT/boot/bootfw.zip

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.openfirmware
/boot/bootfw.zip

%changelog
* Wed Oct 12 2011 James Cameron <quozl@laptop.org>
- XO-1.75 C1 candidate build, with new accelerometer chip and suspend resume
  support.

* Fri Sep 23 2011 James Cameron <quozl@laptop.org>
- XO-1.75 B1 suspend resume by Mitch, plus new EC firmware by Richard, and many
  other changes.

* Sun Sep 04 2011 James Cameron <quozl@laptop.org>
- rename package bootfw to olpc-firmware

* Sat Sep 03 2011 Richard Smith <rsmith@laptop.org>
- Fix initramfs loading

* Wed Aug 24 2011 James Cameron <quozl@laptop.org>
- add device-tree compatible property to enable correct keymap detection by kernel.
- enable DCON freezing.

* Thu Aug 04 2011 James Cameron <quozl@laptop.org>
- new ATAG format, keyboard test, update help, new EC release.

* Tue Aug 02 2011 James Cameron <quozl@laptop.org>
- Further B1 changes

* Sun Jul 17 2011 Mitch Bradley <wmb@laptop.org>
- Fixed internal drive selftest

* Fri Jul 15 2011 James Cameron <quozl@laptop.org>
- B1 bringup changes

* Wed Jul 06 2011 Mitch Bradley <wmb@laptop.org>
- More keyboard and EC fixes

* Fri Jul 01 2011 Mitch Bradley <wmb@laptop.org>
- Keyboard and EC fixes

* Wed Jun 29 2011 Mitch Bradley <wmb@laptop.org>
- Test candidate for B1 build

* Mon Jun 20 2011 James Cameron <quozl@laptop.org>
- temporarily disable keyboard via security processor, for trac #11009, on
  request from factory.

* Fri Jun 17 2011 Mitch Bradley <wmb@laptop.org>
- Getting close to B1 build

* Fri Jun 10 2011 Mitch Bradley <wmb@laptop.org>
- Getting ready for B1 build

* Wed Jan 26 2011 Mitch Bradley <wmb@laptop.org>
- USB hot-plug (p2) across hubs, fixed version check problem with flash command

* Wed Jan 26 2011 Paul Fox <pgf@laptop.org>
- working EDI EC reflash and RTC support for 1.75 A2

* Fri Jan 21 2011 Mitch Bradley <wmb@laptop.org>
- Baseline release for XO-1.75 A2 - post bringup

* Mon Dec 20 2010 James Cameron <quozl@laptop.org>
- for XO-1.75 A2

* Wed Dec 08 2010 James Cameron <quozl@laptop.org>
- More new features

* Mon Nov 15 2010 Mitch Bradley <wmb@laptop.org>
- Many new features

* Thu Nov  4 2010 Mitch Bradley <wmb@laptop.org>
- First formal release of OFW for XO-1.75

